Bug 47078 - tallow task
Summary: tallow task
Status: RESOLVED FIXED
Alias: None
Product: Ant
Classification: Unclassified
Component: .NET Antlib (show other bugs)
Version: 1.0
Hardware: PC Windows Server 2003
: P2 normal (vote)
Target Milestone: 1.1
Assignee: Ant Notifications List
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2009-04-22 08:24 UTC by zhihengz
Modified: 2009-05-07 00:59 UTC (History)
1 user (show)



Attachments
TallowTask source code (6.19 KB, text/plain)
2009-04-22 08:24 UTC, zhihengz
Details
tallow task html help file (3.48 KB, text/plain)
2009-04-22 08:25 UTC, zhihengz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zhihengz 2009-04-22 08:24:31 UTC
Created attachment 23530 [details]
TallowTask source code

We need tallow task to generate a template wxs from a binary distribution to easy the burden to create wxs from hand. Such as

<dn:tallow target="product.wxs" source="product"/>

Based on WixTask.java, I created TallowTask.java to add this extra bit, I have tested it on my own project, the source code and html file are attached.
Comment 1 zhihengz 2009-04-22 08:25:29 UTC
Created attachment 23531 [details]
tallow task html help file
Comment 2 Stefan Bodewig 2009-05-05 07:29:06 UTC
Added as svn revision 771741

Thanks!

I'd love to add you as a contributor but would need your name ;-)
Comment 3 zhihengz 2009-05-05 10:23:59 UTC
Thanks!

I sent my info to your apache email account with subject of "On regarding wix ant task"
Comment 4 zhihengz 2009-05-06 09:02:02 UTC
One minor issue, need add following task definition in
/src/main/org/apache/ant/dotnet/antlib.xml

<taskdef name="tallow" classname="org.apache.ant.dotnet.wix.WixTask"/>

so we can refer it as 
<dn:tallow/>
Comment 5 zhihengz 2009-05-06 09:03:15 UTC
sorry, typo in #4 comments, shall be 
<taskdef name="tallow" classname="org.apache.ant.dotnet.wix.TallowTask"/>
Comment 6 Stefan Bodewig 2009-05-07 00:59:13 UTC
fixed with svn revision 772535 - thanks!